Skip to main content
GET
/
exchanges
/
{id}
Exchange Data by ID
curl --request GET \
  --url https://api.coingecko.com/api/v3/exchanges/{id} \
  --header 'x-cg-demo-api-key: <api-key>'
{
  "name": "Binance",
  "year_established": 2017,
  "country": "Cayman Islands",
  "description": "One of the world's largest cryptocurrency exchanges by trading volume.",
  "url": "https://www.binance.com/",
  "image": "https://coin-images.coingecko.com/markets/images/52/small/binance.jpg?1706864274",
  "facebook_url": "https://www.facebook.com/binanceexchange",
  "reddit_url": "https://www.reddit.com/r/binance/",
  "telegram_url": "",
  "slack_url": "",
  "other_url_1": "https://medium.com/binanceexchange",
  "other_url_2": "https://steemit.com/@binanceexchange",
  "twitter_handle": "binance",
  "has_trading_incentive": false,
  "centralized": true,
  "public_notice": "",
  "alert_notice": "",
  "trust_score": 10,
  "trust_score_rank": 2,
  "coins": 435,
  "pairs": 1391,
  "trade_volume_24h_btc": 95073.68489926813,
  "tickers": [
    {
      "base": "USDC",
      "target": "USDT",
      "market": {
        "name": "Binance",
        "identifier": "binance",
        "has_trading_incentive": false
      },
      "last": 1.00087,
      "volume": 2089887585,
      "converted_last": {
        "btc": 0.00001301,
        "eth": 0.00047417,
        "usd": 0.999569
      },
      "converted_volume": {
        "btc": 27187,
        "eth": 990971,
        "usd": 2088986570
      },
      "trust_score": null,
      "bid_ask_spread_percentage": 0.010999,
      "timestamp": "2026-05-26T10:21:17+00:00",
      "last_traded_at": "2026-05-26T10:21:17+00:00",
      "last_fetch_at": "2026-05-26T10:23:00+00:00",
      "is_anomaly": false,
      "is_stale": false,
      "trade_url": "https://www.binance.com/en/trade/USDC_USDT?ref=37754157",
      "token_info_url": null,
      "coin_id": "usd-coin",
      "target_coin_id": "tether",
      "coin_mcap_usd": 76286248956.20789
    },
    {
      "base": "BTC",
      "target": "USDT",
      "market": {
        "name": "Binance",
        "identifier": "binance",
        "has_trading_incentive": false
      },
      "last": 76960,
      "volume": 9037.21995,
      "converted_last": {
        "btc": 1.000348,
        "eth": 36.491428,
        "usd": 76860
      },
      "converted_volume": {
        "btc": 9040,
        "eth": 329781,
        "usd": 694600292
      },
      "trust_score": null,
      "bid_ask_spread_percentage": 0.010013,
      "timestamp": "2026-05-26T10:21:39+00:00",
      "last_traded_at": "2026-05-26T10:21:39+00:00",
      "last_fetch_at": "2026-05-26T10:22:33+00:00",
      "is_anomaly": false,
      "is_stale": false,
      "trade_url": "https://www.binance.com/en/trade/BTC_USDT?ref=37754157",
      "token_info_url": null,
      "coin_id": "bitcoin",
      "target_coin_id": "tether",
      "coin_mcap_usd": 1536007329547.9153
    }
  ],
  "status_updates": [
    {
      "description": "Juventus and Paris Saint-Germain Fan Tokens on Binance Launchpool!",
      "category": "general",
      "created_at": "2020-12-14T11:18:49.085Z",
      "user": "Darc",
      "user_title": "Marketing",
      "pin": false,
      "project": {
        "type": "Market",
        "id": "binance",
        "name": "Binance",
        "image": {
          "thumb": "https://coin-images.coingecko.com/markets/images/52/thumb/binance.jpg?1706864274",
          "small": "https://coin-images.coingecko.com/markets/images/52/small/binance.jpg?1706864274",
          "large": "https://coin-images.coingecko.com/markets/images/52/large/binance.jpg?1706864274"
        }
      }
    }
  ]
}

Notes

  • Exchange volume is provided in BTC. Use Exchange Rates to convert to other currencies.
  • Tickers are limited to 100 items. Use Exchange Tickers for more.
  • For derivatives exchanges (e.g. bitmex, binance_futures), use Derivatives Exchange Data instead.
  • When dex_pair_format=symbol, DEX pair base and target display as symbols (e.g. WETH, USDC) instead of contract addresses.

SDK Examples

const response = await client.exchanges.getID('binance');

console.log(JSON.stringify(response, null, 2));

Authorizations

x-cg-demo-api-key
string
header
required

Path Parameters

id
string
default:binance
required

Exchange ID. *refers to /exchanges/list.

Query Parameters

dex_pair_format
enum<string>

Set to symbol to display DEX pair base and target as symbols. Default: contract_address

Available options:
contract_address,
symbol

Response

200 - application/json

Exchange data

name
string
required

Exchange name

year_established
number | null
required

Year the exchange was established

country
string | null
required

Country where the exchange is based

description
string
required

Exchange description

url
string
required

Exchange website URL

image
string
required

Exchange logo URL

facebook_url
string
required

Facebook URL

reddit_url
string
required

Reddit URL

telegram_url
string
required

Telegram URL

slack_url
string
required

Slack URL

other_url_1
string
required

Other URL 1

other_url_2
string
required

Other URL 2

twitter_handle
string
required

Twitter handle

has_trading_incentive
boolean
required

Whether the exchange has trading incentive

centralized
boolean
required

Whether the exchange is centralized

public_notice
string
required

Public notice

alert_notice
string
required

Alert notice

trust_score
number | null
required

Exchange trust score

trust_score_rank
number | null
required

Exchange trust score rank

coins
number
required

Number of coins listed

pairs
number
required

Number of trading pairs

trade_volume_24h_btc
number
required

Exchange 24h trading volume in BTC

tickers
object[]
required

Exchange tickers

status_updates
object[]
required

Status updates